### Method

# Hitaki SndMotuRegisterDspParameter get_mixer_source_flag

#### Declaration [src]

    void
    hitaki_snd_motu_register_dsp_parameter_get_mixer_source_flag (
      const HitakiSndMotuRegisterDspParameter* self,
      gsize mixer,
      const guint8** flag
    )

#### Description [src]

Get the array with elements for the data of source flags in indicated mixer. The data consists of bit flags below:

- 0x01: whether to enable mute function for the source.
- 0x02: whether to enable solo function for the source.

#### Parameters

`mixer`

  Type: `gsize`

  The numeric index of mixer, up to 4.

`flag`

  Type: An array of `guint8*`

  The array with elements for the data of source flag.

  The argument will be set by the function.
  The array must have 20 elements.
  The returned data is owned by the instance.